Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027262
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2014-08-01 18:302015-06-03 18:55
ReporterjonalegriaesarteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision89ecff04c23e
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027262: After using copy from order the old order can not be removed

DescriptionAfter using copy from order the old order can not be removed
Steps To Reproduce- Create a sales order with one line
- Create a new header. Using copy from order, select the previous order
- Try to delete the first order, the system can not, due to linked items in the lines of the original order
TagsNo tags attached.
Attached Filesdiff file icon c27262.diff [^] (8,724 bytes) 2014-08-13 12:12 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0076602)
caristu (developer)
2015-04-17 11:37
edited on: 2015-04-17 11:39

Attached a possible patch that must be reviewed. The change in the C_ORDERLINE2_TRG is done to avoid a mutating trigger error in Oracle.

(0076774)
AtulOpenbravo (developer)
2015-04-27 11:19

Test Plan
- Create a sales order with one line.
- Create a new header. Using copy from order, select the previous order
- Try to delete the first order.
- Order is deleted successfully.

Note:- Test in oracle instance also.
(0077984)
hgbot (developer)
2015-06-02 14:49

Repository: erp/devel/pi
Changeset: 89ecff04c23e2514055a782d6fe9bc45e85fc063
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 27 11:59:32 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/89ecff04c23e2514055a782d6fe9bc45e85fc063 [^]

Fixes Issue 27262:After using copy from order the old order can not be removed

A event handler is implemented to achieve the functionality.

---
A src/org/openbravo/event/OrderLineEventHandler.java
---
(0077985)
hgbot (developer)
2015-06-02 14:50

Repository: erp/devel/pi
Changeset: d73cfed50b6e31c7a02bce6b1e2b78a4910706c3
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Jun 02 14:39:07 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d73cfed50b6e31c7a02bce6b1e2b78a4910706c3 [^]

Related to issue 27262: Run direct update query to improve performance

Instead of getting all the sales order lines to update the reference line, we have replaced by a direct Update HQL, which improves performance and reduces the memory usage

---
M src/org/openbravo/event/OrderLineEventHandler.java
---
(0077986)
vmromanos (developer)
2015-06-02 14:51

Code review + testing OK

Tested in Oracle and PG
(0078037)
hudsonbot (developer)
2015-06-03 18:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/084e25f8f2cd [^]
Maturity status: Test
(0078038)
hudsonbot (developer)
2015-06-03 18:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/084e25f8f2cd [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-08-01 18:30 jonalegriaesarte New Issue
2014-08-01 18:30 jonalegriaesarte Assigned To => AtulOpenbravo
2014-08-01 18:30 jonalegriaesarte Modules => Core
2014-08-01 18:30 jonalegriaesarte Triggers an Emergency Pack => No
2014-08-05 12:31 caristu Assigned To AtulOpenbravo => caristu
2014-08-05 12:32 caristu File Added: 27262.diff
2014-08-13 12:11 caristu File Deleted: 27262.diff
2014-08-13 12:12 caristu File Added: c27262.diff
2014-09-29 16:12 jonalegriaesarte Target Version 3.0PR14Q4 => 3.0PR15Q1
2014-12-22 12:50 jonalegriaesarte Target Version 3.0PR15Q1 => 3.0PR15Q2
2015-03-13 10:34 jonalegriaesarte Target Version 3.0PR15Q2 => 3.0PR15Q3
2015-04-17 11:37 caristu Note Added: 0076602
2015-04-17 11:38 caristu Assigned To caristu => Sandrahuguet
2015-04-17 11:39 caristu Note Edited: 0076602 View Revisions
2015-04-17 11:49 Sandrahuguet Assigned To Sandrahuguet => Triage Finance
2015-04-17 12:43 aferraz Priority immediate => urgent
2015-04-27 08:22 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-04-27 08:22 AtulOpenbravo Status new => scheduled
2015-04-27 11:19 AtulOpenbravo Note Added: 0076774
2015-06-02 14:49 hgbot Checkin
2015-06-02 14:49 hgbot Note Added: 0077984
2015-06-02 14:49 hgbot Status scheduled => resolved
2015-06-02 14:49 hgbot Resolution open => fixed
2015-06-02 14:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/89ecff04c23e2514055a782d6fe9bc45e85fc063 [^]
2015-06-02 14:50 hgbot Checkin
2015-06-02 14:50 hgbot Note Added: 0077985
2015-06-02 14:51 vmromanos Review Assigned To => vmromanos
2015-06-02 14:51 vmromanos Note Added: 0077986
2015-06-02 14:51 vmromanos Status resolved => closed
2015-06-03 18:55 hudsonbot Checkin
2015-06-03 18:55 hudsonbot Note Added: 0078037
2015-06-03 18:55 hudsonbot Checkin
2015-06-03 18:55 hudsonbot Note Added: 0078038


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker